Difference between revisions of "Talk:Ubuntu Hardy Installation Guide"

From cchtml.com
Jump to: navigation, search
m (Reverted edits by 139.130.97.74 (talk) to last revision by Mooninite)
 
(34 intermediate revisions by 18 users not shown)
Line 1: Line 1:
==DKMS disaster with multiple kernels==
+
{{Talkpages}}
 
+
Hi all. A few days ago, i receieved a linux-image update form the repos, and since i was using a manually installed driver, i lost support for fglrx in the current kernel (2.6.24-18-generic). Trying to solve this issue manually, i bumped into a lot of problems, but in the end, all seemed to point to DKMS. on startx, fglrx complianed about "Multiple version found in DKMS, Unsure what to do. Resolve manually" and reverted to Mesa.
+
 
+
After some disappointing google, i found some threads in french on mandriva forums about a DKMS kernel mixup with more than one image installed. Since i had no experience with DKMS, i ended up uninstalling every kernel image prior to current, remove --purge dkms && install DKMS, and any trace of fglrx to get a clean slate to work on.
+
 
+
Then i used the "ubuntu method" for the first time, and it worked (only after i rememebered to enable the fglrx module i had blacklisted before, silly me), but got a little concerned aboput this esoteric kernel mixup using the manual method with recent kernel updates.
+
 
+
I wanted to put some notice in the How-to, but since i didn't have much patience and quickly reverted to the "clean slate and auto install" way, i didn't know how to explain it effectively.
+
 
+
Could someone lookup this up and see how to put it in the wiki? I'm not sure, but i think that something in the line of "If you are having problems getting X to start with fglrx, or fglrx complains about multiple versions in dkms, you should probably check your multiple kernel setup", but this hardly explains the issue, and i really don't know anything in more detail.
+
 
+
I hope someone will be able to chek into this. [[User:209.88.159.4|209.88.159.4]] 12:29, 5 June 2008 (CDT)
+
 
+
:UPDATE: seems to be fixed in the latest release: "#  The Linux kernel module is no longer installed to wrong location if the Linux kernel is updated. Further details can be found in topic number 737-34288". http://www2.ati.com/drivers/linux/catalyst_85_linux.html
+
 
+
Thanks for giving some information about this problem. I also experienced that the fglrx module was not loading correctly after a kernel update (2.6.24-18-generic). I also used the manual method to install fglrx (8.4.276). What I did was to remove the module in dkms, then add, rebuild and install for the current kernel. I think that before I ran the dkms commands below, that I already had fglrx.ko in:
+
/var/lib/dkms/fglrx/8.476/2.6.24-18-generic/i686/module/. I am not sure if was already installed /lib/modules/2.6.24-18-generic/updates/dkms.
+
 
+
The dkms commands I ran (depend on the module source still being in /usr/src/fglrx-8.476):
+
 
+
<pre>
+
sudo dkms remove -m fglrx -v 8.4.276
+
sudo dkms add -m fglrx -v 8.4.276
+
sudo dkms build -m fglrx -v 8.4.276
+
sudo dkms install -m fglrx -v 8.4.276
+
</pre>
+
 
+
Anyway, it is probably enough to just build and install the module with dkms. I could not find the 737-34288 article at ati.com, although it is mentioned there. The issue I had might be related, but I am not sure. Guess I have to install 8.5 and wait for a kernel update ;) [[User:Whocarez|Whocarez]] 12:02, 7 June 2008 (CDT)
+
 
+
==X RandR==
+
 
+
Can we enable the fglrx on RandR and do not write any things on xorg.conf?
+
==packages vs. installer==
+
 
+
What is everyone's opinion on the build-packages method versus running the automated installer?
+
 
+
I think we should start having a section explaining the install procedure with the auto-installer to, as begun on this page.
+
 
+
--- Arand, 21:16, Sunday, 09 March 2008
+
:Please make necessary changes to make it look like the [[Ubuntu Gutsy Installation Guide]] so they are easy to read. --[[User:Mooninite|Mooninite]] 10:46, 10 March 2008 (CDT)
+
 
+
This was the most helpful and concise explanation I found anywhere. It helped me no end. Couple of things though. My system couldn't find a library even though I had it installed. It was only in lib32 and lib64 so I copied a link to the lib folder. This was libGL.so.1.
+
 
+
Importantly, this installed the proprietary drivers but still didn't give me the hardware acceleration I needed. By accident I found that adding Option "TexturedVideo" under the Driver "fglrx" worked perfectly.
+
 
+
Thank you to the author.
+
 
+
== Installation guide not working for 8.476 ==
+
 
+
Hi,
+
 
+
It seems to me that the driver installation guide of 8-4 (8.476) does not work on Ubuntu 8.04. Following step-by-step the guide (method 2), I allways end up with 8.473 installed and running (while the system contains only 8.476 packages). If all instances, packages and modules of driver 8.473 are manually purged before 8.476 installation, the whole process ends up with the nonfunctional 3D (using mesa driver)
+
 
+
--- Eugenio, 10:30(CET), Tuesday, 22th April 2008
+
 
+
Eugenio, I have only tested it on a fresh install of Hardy, with only the mesa driver installed previously.
+
I updated the guide to 8.476 and am worried that it fails on some machines.
+
 
+
--- ilcavero
+
 
+
Thanks for your effort to solve the problem. I've been also looking for the solution on my local Ubuntu forum. I've met the other Ubuntu 8.04 who encountered the exactly same problem. After a week of googling and searching we still have found no solution. However, I found some notices on the web and it says, that the problem will be hopefully solved with the release of ubuntu 8.04.1 on July 6th. On the other hand, the previous driver 8.3 (8.473) works pretty well and hence there is no urgent need to install 8.4.
+
 
+
-- Eugenio, 9:00(CET), Sunday 27th April 2008
+
 
+
might this be related to my comment above about dkms and multiple versions? the symptons seem to be the same... [[User:209.88.159.4|209.88.159.4]] 12:30, 5 June 2008 (CDT)
+
  
 
== Cleanup ==
 
== Cleanup ==
Line 83: Line 18:
 
--- Eugenio, 10:45(CET), Monday, 12th May 2008
 
--- Eugenio, 10:45(CET), Monday, 12th May 2008
  
 +
== Problem with vboxdrv and fglrx ==
  
==Additional xorg.conf Edits==
+
May it worth mention https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/284505/comments/14 at the bottom of the page ? I have been all day long looking for how to solve it!! :)
===AIGLX===
+
A while back, I think in feisty it was recommended to add
+
Option "AIGLX" "off"
+
to xorg.conf to get compiz to work.
+
This will need to be removed when removing xgl or the desktop will break.
+
 
+
== My problems (and solutions) installing on x86_64 ==
+
 
+
I've had a problem creating the package from the installer that I got from ATI's website. It complained about not finding libGL.so.1, but I didn't have any file such as <code>/usr/lib/libGL.*</code>
+
 
+
My solution was this: I extracted the files from the installer
+
<pre>sudo sh ati-driver-installer-8-5-x86.x86_64.run --extract driver</pre>
+
 
+
and copied over the files from the newly created directory
+
<pre>sudo cp driver/arch/x86_64/usr/X11R6/lib64/libGL.so.1.2 /usr/lib/libGL.so.1</pre>
+
 
+
I then tried to create the package again, but it didn't work because it complained it couldn't find libfglrx_gamma.so.1, so like before
+
<pre>sudo cp driver/arch/x86_64/usr/X11R6/lib64/libfglrx_gamma.so.1.0 /usr/lib/libfglrx_gamma.so.1</pre>
+
 
+
And then this worked:
+
<pre>sudo sh ati-driver-installer-8-5-x86.x86_64.run --buildpkg Ubuntu/8.04</pre>
+
 
+
Another thing that didn't work for me was dpkg-ing the packages, copy & pasting from this guide didn't work, but giving the full file names (and not with asterisks) worked. In my case it was:
+
<pre>sudo dpkg -i --force-overwrite xorg-driver-fglrx_8.493.1-0ubuntu1_amd64.deb fglrx-kernel-source_8.493.1-0ubuntu1_amd64.deb fglrx-amdcccle_8.493.1-0ubuntu1_amd64.deb</pre>
+
I don't know if it's only on my system or if it's by-design in dpkg, but I think it should be made clearer in case other people have this problem.
+
 
+
My system: Asus M2A-VM HDMI with integrated X1250, AMD X2 64 and Ubuntu Hardy (8.04) (64 bits, obviously)
+
 
+
p.s. A warning about the special case for 64 bit should be above the installation instructions, not below, as some people might follow step-by-step and not notice those instructions :)
+
(I'm always uneasy about directly editing wiki pages myself)
+
 
+
---
+
 
+
Thank you, this worked on my Hardy/x86_64 machine as well.
+
 
+
 
+
---
+
 
+
On my dual-head setup on Ubuntu 8.04 the computer would freeze on logout (reboot, shutdown, etc.) with Catalyst 8.6 drivers. Disabling compiz would let one get into the desktop. If you run fglrxinfo or glxinfo the program would not exit normally (had to use CTRL+C).  Also some terminated Opengl apps would linger eating up (lots of) CPU cycles. I had to go back to Catalyst 8.5 drivers. With 8.5 anything with Opengl on the secondary screen would crash (and crash Ubuntu). Other than that there remains some issues with video tearing, and DRI related bugs, but with VLC on "X11 video output" the movies are good enough (except for the tearing which sometimes looks too awful (esp on scenes with flickering lights)). Am able to play and develop OpenGL on screen 0 (played quite a bit of Nexuiz).
+
 
+
---
+
 
+
== Crashes with x86_64 and more that 2 gigs of RAM ==
+
 
+
It seems that the combination of fglrx, more than 2 gigs of RAM and certain motherboards will cause X to crash hard.  More details can be found here:
+
 
+
http://www.phoronix.com/forums/showthread.php?s=b76d9053dd37456a6c50e2588fb32b9b&t=7507
+
 
+
The workaround is to disable memory remapping in the motherboard bios.  Unfortunately, this also reduces the amount of memory accessible to the system.
+
 
+
 
+
== Tri-head configuration ==
+
 
+
I am trying to set up a triple head system using an on board HD3200 and a discrete HD3470 card on Ubuntu 8.04. When the HD3470 is not installed, the fglrx driver works fine with the integrated video. But with the HD3470 card plugged in, I am only able to get the HD3470 card to work. /var/log/Xorg.0.log shows this error with the integrated video card:
+
 
+
<pre>
+
(**) fglrx(0): Chipset: "ATI Radeon HD 3200 Graphics" (Chipset = 0x9610)
+
(**) fglrx(0): (PciSubVendor = 0x1458, PciSubDevice = 0xd000)
+
(**) fglrx(0): board vendor info: third party graphics adapter - NOT original ATI
+
(--) fglrx(0): Linear framebuffer (phys) at 0xc0000000
+
(--) fglrx(0): MMIO registers at 0xfdae0000
+
(==) fglrx(0): ROM-BIOS at 0x000c0000
+
(EE) fglrx(0): Invalid video BIOS signature!
+
(EE) fglrx(0): PreInit failed
+
</pre>
+
 
+
Searching around the internet, I've only found 1 more instance of someone else having this problem.
+
I've tried with Surround View setting in the system BIOS enabled and disabled. Seems like either a BIOS or driver issue.
+
 
+
Aticonfig seems to recognize that there are two video cards in the system, but could only get one to work at a time.
+
 
+
<pre>
+
$ aticonfig --lsa
+
  0. 01:05.0 ATI Radeon HD 3200 Graphics
+
* 1. 02:00.0 ATI Radeon HD 3470
+
 
+
* - Default adapter
+
</pre>
+
 
+
== Refresh rate renders the screen blank ==
+
 
+
I was stepping through the instructions for "Method 1: Install the driver the Ubuntu Way."
+
 
+
After entering the following
+
sudo apt-get update
+
* sudo apt-get install linux-restricted-modules-generic restricted-manager
+
* sudo apt-get install xorg-driver-fglrx
+
* sudo depmod -a
+
 
+
I edited xorg.conf to add these to Section "Device"
+
    Identifier                          "ATI Graphics Adapter"
+
    Driver                              "fglrx"
+
  
The command
+
--alejandro 18:24(GMT+1)
* sudo aticonfig --initial -f
+
  
pointed out that I had left the Screen as the default and insisted that it had fixed things up for me.
+
== DISABLED_MODULES="fglrx" ==
  
My problem is on reboot, it goes through POST and then... the screen goes blank. I do get an error message of sorts from the display, as it shows one frequency for the horizontal and one for the vertical, and then I can only pick button 1 (exit) to see my blank screen.
+
With 8-10 driver and Ubuntu 8.04 is no more necessary to disable fglrx in the restricted modules.
 +
The package fglrx-modaliases_* , in fact, provides compatibility with Jockey and in the restricted drivers window, the driver appears as present and in use.
 +
--[[Special:Contributions/85.18.14.45|85.18.14.45]] 16:31, 6 November 2008 (UTC)
  
I am not even sure how to proceed at this point, and would welcome any suggestions.
+
== Hardy ==
 +
Quote: ..("hardy" is not a typo)..
 +
You've put a big smile on my face - lolz :)

Latest revision as of 09:50, 13 December 2012

TALK PAGES ARE NOT SUPPORT FORUMS

If you require help with installing the AMD fglrx driver, please consider a web forum or mailing list.

Cleanup[edit]

I did a little cleanup and formatting, and clarified the configuration section in Method 2. I inserted a comment about TexturedVideo on the newer cards for Xv, as well. I hope nobody minds. --Porter 08:11PM EDT 29 April 2008

I've also done a little cleanup on method two. I removed some extra steps that were not needed and rephrased some of the text so that it flows better. I also changed some incorrect statements. --Compwiz18 07:56, 22 May 2008 (CDT)

Updating a manually installed driver[edit]

Would it be good to add some notes on how to update the driver when new releases are available. I'm a little unsure of this myself; is it as simple as building the packages as per the instructions and doing the usual sudo apt-get install or is there more to it?

There is no auto-update routine as of yet. Upgrading will require a simple download, build, and install per the existing method. --Porter 02:10PM EDT 06 May 2008

OK, thanks. I should also mention I did a manual install on a clean install of Kubuntu Hardy - everything is fine but the restricted drivers GUI tool (jockey-kde) notes that fglrx is "In Use" AND "enabled". Shouldn't be any need to panic :)

"In USE" and "ENABLED" is also shown by Restricted drivers manager in Gnome after using the second manual instalation method. However, the driver works fine.

--- Eugenio, 10:45(CET), Monday, 12th May 2008

Problem with vboxdrv and fglrx[edit]

May it worth mention https://bugs.launchpad.net/ubuntu/+source/fglrx-installer/+bug/284505/comments/14 at the bottom of the page ? I have been all day long looking for how to solve it!! :)

--alejandro 18:24(GMT+1)

DISABLED_MODULES="fglrx"[edit]

With 8-10 driver and Ubuntu 8.04 is no more necessary to disable fglrx in the restricted modules. The package fglrx-modaliases_* , in fact, provides compatibility with Jockey and in the restricted drivers window, the driver appears as present and in use. --85.18.14.45 16:31, 6 November 2008 (UTC)

Hardy[edit]

Quote: ..("hardy" is not a typo).. You've put a big smile on my face - lolz :)